Main Page Groups Namespaces

# group.h File Reference

## Namespaces
namespace | sigc
## Classes
struct | sigc::lambda_group1<T_functor, T_type1>
struct | sigc::lambda_group1<T_functor, T_type1>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
struct | sigc::lambda_group2<T_functor, T_type1, T_type2>
struct | sigc::lambda_group2<T_functor, T_type1, T_type2>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
struct | sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>
struct | sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
## Functions
template<class T_action, class T_functor, class T_type1>
void | sigc::visit_each (const T_action& _A_action, const lambda_group1<T_functor, T_type1>& _A_target)
template<class T_action, class T_functor, class T_type1, class T_type2>
void | sigc::visit_each (const T_action& _A_action, const lambda_group2<T_functor, T_type1, T_type2>& _A_target)
template<class T_action, class T_functor, class T_type1, class T_type2, class T_type3>
void | sigc::visit_each (const T_action& _A_action, const lambda_group3<T_functor, T_type1, T_type2, T_type3>& _A_target)
template<class T_functor, class T_type1>
lambda < lambda_group1 < T_functor, typename unwrap_reference <T_type1 >::type >> | sigc::group (const T_functor& _A_func, T_type1 _A_1)
template<class T_functor, class T_type1, class T_type2>
lambda < lambda_group2 < T_functor, typename unwrap_reference < T_type1 >::type, typename unwrap_reference <T_type2 >::type >> | sigc::group (const T_functor& _A_func, T_type1 _A_1, T_type2 _A_2)
template<class T_functor, class T_type1, class T_type2, class T_type3>
lambda < lambda_group3 < T_functor, typename unwrap_reference < T_type1 >::type, typename unwrap_reference < T_type2 >::type, typename unwrap_reference <T_type3 >::type >> | sigc::group (const T_functor& _A_func, T_type1 _A_1, T_type2 _A_2, T_type3 _A_3)